# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/arm,versatile-tft-panel.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ARM Versatile TFT Panels

maintainers:
  - Linus Walleij <linus.walleij@linaro.org>

description: |
  These panels are connected to the daughterboards found on the
  ARM Versatile reference designs.

  This device node must appear as a child to a "syscon"-compatible
  node.

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: arm,versatile-tft-panel

  port: true

required:
  - compatible
  - port

additionalProperties: false

examples:
  - |
    sysreg@0 {
        compatible = "arm,versatile-sysreg", "syscon", "simple-mfd";
        reg = <0x00000 0x1000>;

        #address-cells = <1>;
        #size-cells = <0>;

        panel {
            compatible = "arm,versatile-tft-panel";

            port {
                panel_in: endpoint {
                    remote-endpoint = <&foo>;
                };
            };
        };
    };

...
